libetonyek::IWAMessage::Field Struct Reference

## Public Member Functions
| Field (WireType wireType)

## Public Attributes
WireType | m_wireType
std::deque< InputRange_t > | m_pieces
IWAFieldPtr_t | m_realField

## Constructor & Destructor Documentation

## ◆ Field()

libetonyek::IWAMessage::Field::Field | ( | const IWAMessage::WireType | wireType | ) |
| explicit

## Member Data Documentation

## ◆ m_pieces

std::deque<InputRange_t> libetonyek::IWAMessage::Field::m_pieces

Referenced by Field().

## ◆ m_realField

IWAFieldPtr_t libetonyek::IWAMessage::Field::m_realField

Referenced by Field().

## ◆ m_wireType

WireType libetonyek::IWAMessage::Field::m_wireType

Referenced by Field().

The documentation for this struct was generated from the following files:

- IWAMessage.h
- IWAMessage.cpp